Loading...
Searching...
No Matches
Ogre::LodData::Triangle Struct Reference

`#include <OgreLodData.h>`

## Public Member Functions

void | computeNormal ()
| Vertex ID in the buffer associated with the submeshID.
unsigned int | getVertexID (const Vertex *v) const
bool | hasVertex (const Vertex *v) const
bool | isMalformed ()

## Public Attributes

bool | isRemoved
Vector3 | normal
unsigned short | submeshID
Vertex * | vertex [3]
unsigned int | vertexID [3]
| ID of the submesh. Usable with mMesh.getSubMesh() function.

## Member Function Documentation

## computeNormal()

void Ogre::LodData::Triangle::computeNormal | ( |  | ) |

inline

Vertex ID in the buffer associated with the submeshID.

References Ogre::Math::calculateBasicFaceNormal(), normal, and vertex.

## hasVertex()

bool Ogre::LodData::Triangle::hasVertex | ( | const Vertex * | v | ) | const

inline

References vertex.

## getVertexID()

unsigned int Ogre::LodData::Triangle::getVertexID | ( | const Vertex * | v | ) | const

## isMalformed()

bool Ogre::LodData::Triangle::isMalformed | ( |  | ) |

## Member Data Documentation

## vertex

Vertex* Ogre::LodData::Triangle::vertex[3]

Referenced by computeNormal(), and hasVertex().

## normal

Vector3 Ogre::LodData::Triangle::normal

Referenced by computeNormal().

## isRemoved

bool Ogre::LodData::Triangle::isRemoved

## submeshID

unsigned short Ogre::LodData::Triangle::submeshID

## vertexID

unsigned int Ogre::LodData::Triangle::vertexID[3]

ID of the submesh. Usable with mMesh.getSubMesh() function.

The documentation for this struct was generated from the following file:

- OgreLodData.h